<?php

/**
 * Class RSPW_CMB2_Field_Time_Range
 */
class RSPW_CMB2_Field_Time_Range
{

    /**
     * Initialize the plugin by hooking into CMB2
     */
    public function __construct()
    {
        add_filter('cmb2_render_rspw_time_range', array($this, 'render_rspw_time_range'), 10, 5);
    }

    /**
     * Render select box field
     */
    public function render_rspw_time_range($field, $value, $object_id, $object_type, $field_type)
    {

        $value = wp_parse_args($value, [
            'time_from' => '',
            'time_to' => '',
        ]);
        ?>
        <label for="<?php echo $field_type->_id('_time_from'); ?>">From</label>
        <?php echo $field_type->input(array(
        'name' => $field_type->_name('[time_from]'),
        'id' => $field_type->_id('_time_from'),
        'value' => $value['time_from'],
        'desc' => '',
        'type' => 'time',
        'class' => 'cmb2-text-small',
    )); ?>

        <label for="<?php echo $field_type->_id('_time_to'); ?>">To</label>
        <?php echo $field_type->input(array(
        'name' => $field_type->_name('[time_to]'),
        'id' => $field_type->_id('_time_to'),
        'value' => $value['time_to'],
        'desc' => '',
        'type' => 'time',
        'class' => 'cmb2-text-small',

    )); ?>
        <?php
    }

}

$pw_cmb2_field_select2 = new RSPW_CMB2_Field_Time_Range();
