<?php


class RSPW_City_Rule implements RSPW_Rule {


	/**
	 * @param array $rule
	 * @param array $package
	 *
	 * @return boolean
	 */
	public function validate( $rule, $package ) {
		$shipping_city = strtolower( $package['destination']['city'] );
		$operator      = RSPW_Operators_Factory::make( $rule['operator'] );
		return $operator->match( strtolower( $rule['value_city'] ), $shipping_city );
	}

	/**
	 * @return array
	 */
	public function get_operators_labels() {
		return array(
			RSPW_Operators_Factory::OPERATOR_IS     => __( 'is', 'restricted-shipping-and-payment-for-woocommerce' ),
			RSPW_Operators_Factory::OPERATOR_IS_NOT => __( 'is not', 'restricted-shipping-and-payment-for-woocommerce' ),
		);
	}

	/**
	 * @return array
	 */
	public function get_meta_box_fields() {
		return array(
			array(
				'name'    => __( 'City', 'restricted-shipping-and-payment-for-woocommerce' ),
				'id'      => 'value_city',
				'type'    => 'text_medium',
				'classes' => 'value_field city',
			),
		);
	}
}
