<?php


class RSPW_Downloadable_Rule implements RSPW_Rule {


	/**
	 * @param array $rule
	 * @param array $package
	 *
	 * @return boolean
	 */
	public function validate( $rule, $package ) {
		$operator = RSPW_Operators_Factory::make( $rule['operator'] );

		foreach ( $package as $item_id => $content ) {
			/** @var WC_Product $product */
			$product = $content['data'];
			if ( $operator->match( true, $product->is_downloadable() ) ) {
				return true;
			}
		}

		return false;
	}

	/**
	 * @return array
	 */
	public function get_operators_labels() {
		return array(
			RSPW_Operators_Factory::OPERATOR_IS     => __( 'has', 'restricted-shipping-and-payment-for-woocommerce' ),
			RSPW_Operators_Factory::OPERATOR_IS_NOT => __( 'has no', 'restricted-shipping-and-payment-for-woocommerce' ),
		);
	}

	/**
	 * @return array
	 */
	public function get_meta_box_fields() {
		return array(
			array(
				'name'       => __( 'Downloadable', 'restricted-shipping-and-payment-for-woocommerce' ),
				'id'         => 'value_downloadable',
				'type'       => 'checkbox',
				'value'      => 'on',
				'classes'    => 'value_field downloadable',
				'attributes' => array(
					'disabled' => 'disabled',
					'checked'  => 'checked',
				),
			),
		);
	}
}
