<?php


class RSPW_Payment_Gateway_Rule implements RSPW_Rule
{

    public function validate($rule, $package)
    {
        $chosen_payment_gateway = WC()->session->get('chosen_payment_method');
        $rule_payment_gateway = $rule['value_payment_gateway'];
        return in_array($chosen_payment_gateway, $rule_payment_gateway);
    }

    public function get_operators_labels()
    {
        return [
            RSPW_Operators_Factory::OPERATOR_IS     => __( 'is', 'restricted-shipping-and-payment-for-woocommerce' ),
        ];
    }

    public function get_meta_box_fields()
    {
        return array(
            array(
                'name'             => __( 'Payment Gateways', 'restricted-shipping-and-payment-for-woocommerce' ),
                'desc'             => __( 'Select payment gateway/s', 'restricted-shipping-and-payment-for-woocommerce' ),
                'id'               => 'value_payment_gateway',
                'type'             => 'pw_multiselect',
                'show_option_none' => false,
                'options'          => $this->get_payment_gateways(),
                'classes'          => 'value_field payment_gateway',
            ),
        );
    }

    private function get_payment_gateways(): array {
        $gateways = WC()->payment_gateways->payment_gateways();
        unset( $gateways['pre_install_woocommerce_payments_promotion'] );

        $final_gateways = [];
        foreach ($gateways as $gateway) {
            $final_gateways[$gateway->id] =  strip_tags( $gateway->title );
        }

        return $final_gateways;
    }
}
